## Name

floatBitsToInt — produce the encoding of a floating point value as an integer

## Declaration

`genIType floatBitsToInt(` | genType x`)`;

`genUType floatBitsToUint(` | genType x`)`;

## Parameters

`x`

  Specifies the value whose floating point encoding to return.

## Description

`floatBitsToInt` and `floatBitsToUint` return the encoding of their floating-point parameters as `int` or `uint`, respectively. The floating-point bit-level representation is preserved.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
floatBitsToInt | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
floatBitsToUInt | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

intBitsToFloat, `uintBitsToFloat`

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.